<template>
  <v-btn
    color="accent"
    fab
    fixed
    id="floating-button"
    v-model="fab"
    v-on="callback"
    large
  >
    <v-icon>add</v-icon>
    <v-icon>close</v-icon>
  </v-btn>
</template>

<script>
  export default {
    name: 'FloatingButton',
    props: {
      callback: null
    },
    data: () => ({
      fab: false
    })
  }
</script>
<style scoped>
  #floating-button {
    bottom: 25px;
    right: 25px;
  }

  @media only screen and (max-width: 1264px) {
    #floating-button {
      bottom: 70px;
      right: 25px;
    }
  }
</style>
